Draft Dimension/es: Difference between revisions

From FreeCAD Documentation
m (→‎Enlaces: minor)
(Updating to match new version of source page)
Line 1: Line 1:
{{GuiCommand/es|Name=Draft Dimension|Workbenches=[[Draft Module/es|Croquis]], [[Arch Module/es|Arquitectura]]|MenuLocation=Croquis -> Cotas|Shortcut=D I}}
{{GuiCommand|Name=Draft Dimension|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft -> Dimension|Shortcut=D I}}


==Descripción==
==Description==
The dimension tool creates a dimension in the current document with two points defining the distance to measure, and a third point specifying where the dimension line passes.

La herramienta cotas crea una cota en el documento actual con dos puntos definiendo la distancia a medir, y un tercer punto especificando por donde pasa la línea de cota.


[[Image:Screenshot_Draft_Dimension.jpg|400px]]
[[Image:Screenshot_Draft_Dimension.jpg|400px]]


==Utilización==
==How to use==
# Press the {{KEY|[[Image:Draft Dimension.png|16px]] [[Draft Dimension]]}} button, or press {{KEY|D}} then {{KEY|I}} keys
# Click a point on the 3D view, or type a [[Draft_Coordinates|coordinate]]
# Click a second point on the 3D view, or type a [[Draft_Coordinates|coordinate]]
# Click a third on the 3D view, or type a [[Draft_Coordinates|coordinate]]


==Available dimension types==
# Presiona el botón {{KEY|[[Image:Draft Dimension.png|16px]] [[Draft Dimension/es|cota]]}}, o presiona las teclas {{KEY|D}} y {{KEY|I}}
* '''Linear dimensions''': by picking any 2 points or any straight edge with {{KEY|ALT}} pressed.
# Designa un punto en la vista 3D, o escribe unas [[Draft_Coordinates/es|coordenadas]]
* '''Horizontal/vertical dimensions''': by pressing {{KEY|SHIFT}} after the first point is selected.
# Designa un segundo punto en la vista 3D, o escribe unas [[Draft_Coordinates/es|coordenadas]]
* '''Diameter dimensions''': by picking a curved edge with {{KEY|ALT}} pressed.
# Designa un tercer punto en la vista 3D, o escribe unas [[Draft_Coordinates/es|coordenadas]]
* '''Radius dimensions''': by picking a curved edge with {{KEY|ALT}} pressed, then pressing {{KEY|SHIFT}}.
* '''Angular dimensions''': by picking 2 straight edges with {{KEY|ALT}} pressed.


==Options==
==Tipos de cotas disponibles==
* Press {{KEY|X}}, {{KEY|Y}} or {{KEY|Z}} after a point to constrain the next point on the given axis.
* To enter coordinates manually, simply enter the numbers, then press {{KEY|ENTER}} between each X, Y and Z component.
* Press {{KEY|CTRL}} while drawing to force [[Draft_Snap|snapping]] your point to the nearest snap location, independently of the distance.
* Pressing {{KEY|SHIFT}} will [[Draft_Constrain|constrain]] the dimension horizontally or vertically, or, when working on a circular edge, switches between diameter and radius modes.
* Press {{KEY|R}} or click the checkbox to check/uncheck the {{KEY|'''Relative'''}} button. If relative mode is on, the coordinates of the next point are relative to the last one. If not, they are absolute, taken from the (0,0,0) origin point.
* Press {{KEY|T}} or click the checkbox to check/uncheck the {{KEY|'''Continue'''}} button. If continue mode is on, you will be able to draw continued dimensions, one after the other, that share the same baseline.
* Press {{KEY|ESC}} or the {{KEY|'''Cancel'''}} button to abort the current Line command.
* By picking an existing edge with {{KEY|ALT}}, instead of entering measurement points, the dimension will become '''parametric''' and remember which edge it is bound to. If the endpoints of that edge move later on, the dimension will follow them.


==Properties==
* Cotas lineales: seleccionando dos puntos o un segmento recto con la tecla {{KEY|ALT}} presionada.
* {{PropertyData|Start}}: The start point of the distance to measure
* Cotas Horizontales/verticales: presionando {{KEY|SHIFT}} después de seleccionar el primer punto.
* {{PropertyData|End}}: The end point of the distance to measure
* Cota de Diámetro: seleccionando un segmento curvo con la tecla {{KEY|ALT}} presionada.
* {{PropertyData|Dimline}}: A point through which the dimension line must pass
* Cota de Radio: seleccionando un segmento curvo con la tecla {{KEY|ALT}} presionada, y pulsando después {{KEY|SHIFT}}.
* {{PropertyView|Display Mode}}: Specifies if the text is aligned to the dimension lines or always faces the camera
* Cotas Angulares: seleccionando dos segmentos rectos con la tecla {{KEY|ALT}} presionada.
* {{PropertyView|Font Size}}: The size of the letters
* {{PropertyView|Ext Lines}}: The size of the extension lines (between the measurement points and the dimension line)
* {{PropertyView|Text Position}}: Can be used to force the text to be displayed at a certain position
* {{PropertyView|Override}}: Specifies a text to display instead of the measurement. Use the word "dim", inside that text, to display the measurement
* {{PropertyView|Font Name}}: The font to use to draw the text. It can be a font name, such as "Arial", a default style such as "sans", "serif" or "mono", or a family such as "Arial,Helvetica,sans" or a name with a style such as "Arial:Bold". If the given font is not found on the system, a generic one is used instead.


==Opciones==
==Scripting==
The Dimension tool can by used in [[macros]] and from the python console by using the following functions:
<syntaxhighlight>


'''makeDimension (p1,p2,[p3])''' or '''makeDimension (object,i1,i2,p3)''' or '''makeDimension (objlist,indices,p3)'''
* Presiona {{KEY|X}}, {{KEY|Y}} o {{KEY|Z}} después de un punto para restringir el punto siguiente sobre el eje indicado.
</syntaxhighlight>
* Para introducir coordenadas manualmente, simplemente introduce los números y presiona {{KEY|ENTER}} entre cada componente X, Y y Z.
* Presiona {{KEY|CTRL}} mientras dibujas para forzar el [[Draft_Snap/es|ajuste]] de tu punto a la ubicación de ajuste más cercana, independientemente de la distancia.
* Creates a Dimension object with the dimension line passign through p3.
* Presionando {{KEY|SHIFT}} se realizará una [[Draft_Constrain/es|restricción]] de la cota horizontal o verticalmente, o, cuando se trabaja con un segmento circular, conmuta entre los modos de radio y diámetro.
* The Dimension object takes the [[Draft Linestyle|Draft linewidth and color]] set in the command bar.
* Presiona {{KEY|R}} o selecciona la casilla para activar/desactivar el botón {{KEY|'''Relativas'''}}. Si el modo relativas está activada, las coordenadas del siguiente punto son relativas al anterior. Si no, son absolutas, tomadas desde el origen de coordenadas (0,0,0).
* There are multiple ways to create a dimension, depending on the arguments you pass to it:
* Presiona {{KEY|T}} o selecciona la casilla para activar/desactivar el botón {{KEY|'''Continuar'''}}. Si el modo continuar está activado, podrás dibujar cotas continuas, una tras otra, que comparten la misma línea base.
# (p1,p2,p3): creates a standard dimension from p1 to p2.
* Presiona {{KEY|ESC}} o el botón {{KEY|'''Cancelar'''}} para abortar el comando actual.
# (object,i1,i2,p3): creates a linked dimension to the given object, measuring the distance between its vertices indexed i1 and i2.
* Seleccionando una arista existente con {{KEY|ALT}}, en lugar de introducir puntos de medición, la cota se convertirá en '''paramétrica''' y recordará a que arista está vinculada. Si los puntos finales de la arista se mueven posteriormente, la cota los seguirá.
# (object,i1,mode,p3): creates a linked dimension to the given object, i1 is the index of the (curved) edge to measure, and mode is either "radius" or "diameter". Returns the newly created object.

<syntaxhighlight>
==Propiedades==
'''makeAngularDimension (center,[angle1,angle2],p3)'''

</syntaxhighlight>
* {{PropertyData|Start}}: El punto inicial de la distancia a medir
* creates an angular Dimension from the given center, with the given list of angles, passing through p3.
* {{PropertyData|End}}: El punto final de la distancia a medir
* Returns the newly created object.
* {{PropertyData|Dimline}}: Un punto por el cual debe pasar la línea de cota
* {{PropertyView|Display Mode}}: Especifica si el texto está alineado con las líneas de cota o si siempre mira hacia la cámara
* {{PropertyView|Font Size}}: El tamaño de las letras
* {{PropertyView|Ext Lines}}: El tamaño de las líneas de extensión (entre los puntos de medición y la línea de cota)
* {{PropertyView|Text Position}}: Puede utilizarse para forzar que el texto se muestre en determinada posición
* {{PropertyView|Override}}: Especifica un texto a mostrar en lugar de la medición. Utiliza la palabra "dim", dentro del texto, para mostrar la medición
* {{PropertyView|Font Name}}: La fuente a utilizar para dibujar el texto. Puede ser un nombre de fuente, como "Arial", un estilo por defecto como "sans", "serif" o "mono", o una familia como "Arial,Helvetica,sans" o un nombre con un estilo como "Arial:Bold". Si la fuente indicada no se encuentra en el sistema, se utilizará una genérica en su lugar.

==Archivos de guión==

La herramienta cotas se puede utilizar en [[macros/es|macros]] y desde la consola de Python utilizando la siguientes funciones:

'''makeDimension (p1,p2,[p3])''' o '''makeDimension (object,i1,i2,p3)''' o '''makeDimension (objlist,indices,p3)''' :
Crea un objeto cota con la línea de cota pasando por p3. Utilizará el espesor de línea y color actuales de Boceto.
Existen varias formas de crear una cota, dependiendo de los argumentos que les pases: (p1,p2,p3): crea
una cota estándar desde p1 hasta p2. (object,i1,i2,p3): crea una cota vinculada a los objetos dados, midiendo la
distancia entre sus vértices indexados i1 e i2. (object,i1,mode,p3): crea una cota vinculada al objeto actual,
i1 es el índice de la arista (curvada) a medir, y mode es tanto el "radio" como el "diámetro". Devuelve el objeto
recién creado.

'''makeAngularDimension (center,[angle1,angle2],p3)''': crea una cota angular desde el centro indicado, con la lista dada de ángulos, pasando por p3. Devuelve el objeto recién creado.

Ejemplo:


Example:
<syntaxhighlight>
import FreeCAD,Draft
import FreeCAD,Draft
p1 = FreeCAD.Vector(0,0,0)
p1 = FreeCAD.Vector(0,0,0)
Line 66: Line 66:
p3 = FreeCAD.Vector(2,0,0)
p3 = FreeCAD.Vector(2,0,0)
Draft.makeDimension(p1,p2,p3)
Draft.makeDimension(p1,p2,p3)
</syntaxhighlight>
==Links==
[http://www.youtube.com/watch?v=nxNT0KychcY Tutorial Projecting dimensions on a Drawing Page]


<languages/>
==Enlaces==

[http://www.youtube.com/watch?v=nxNT0KychcY Tutorial proyección dimensiones en una página de dibujo.]


{{languages/es | {{en|Draft Dimension}} {{fr|Draft Dimension/fr}} {{it|Draft Dimension/it}} {{se|Draft Dimension/se}} }}

Revision as of 20:43, 27 January 2014

Draft Dimension

Menu location
Draft -> Dimension
Workbenches
Draft, Arch
Default shortcut
D I
Introduced in version
-
See also
None

Description

The dimension tool creates a dimension in the current document with two points defining the distance to measure, and a third point specifying where the dimension line passes.

How to use

  1. Press the Draft Dimension button, or press D then I keys
  2. Click a point on the 3D view, or type a coordinate
  3. Click a second point on the 3D view, or type a coordinate
  4. Click a third on the 3D view, or type a coordinate

Available dimension types

  • Linear dimensions: by picking any 2 points or any straight edge with ALT pressed.
  • Horizontal/vertical dimensions: by pressing SHIFT after the first point is selected.
  • Diameter dimensions: by picking a curved edge with ALT pressed.
  • Radius dimensions: by picking a curved edge with ALT pressed, then pressing SHIFT.
  • Angular dimensions: by picking 2 straight edges with ALT pressed.

Options

  • Press X, Y or Z after a point to constrain the next point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Pressing SHIFT will constrain the dimension horizontally or vertically, or, when working on a circular edge, switches between diameter and radius modes.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the next point are relative to the last one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, you will be able to draw continued dimensions, one after the other, that share the same baseline.
  • Press ESC or the Cancel button to abort the current Line command.
  • By picking an existing edge with ALT, instead of entering measurement points, the dimension will become parametric and remember which edge it is bound to. If the endpoints of that edge move later on, the dimension will follow them.

Properties

  • DatosStart: The start point of the distance to measure
  • DatosEnd: The end point of the distance to measure
  • DatosDimline: A point through which the dimension line must pass
  • VistaDisplay Mode: Specifies if the text is aligned to the dimension lines or always faces the camera
  • VistaFont Size: The size of the letters
  • VistaExt Lines: The size of the extension lines (between the measurement points and the dimension line)
  • VistaText Position: Can be used to force the text to be displayed at a certain position
  • VistaOverride: Specifies a text to display instead of the measurement. Use the word "dim", inside that text, to display the measurement
  • VistaFont Name: The font to use to draw the text. It can be a font name, such as "Arial", a default style such as "sans", "serif" or "mono", or a family such as "Arial,Helvetica,sans" or a name with a style such as "Arial:Bold". If the given font is not found on the system, a generic one is used instead.

Scripting

The Dimension tool can by used in macros and from the python console by using the following functions:

 '''makeDimension (p1,p2,[p3])''' or '''makeDimension (object,i1,i2,p3)''' or '''makeDimension (objlist,indices,p3)'''
  • Creates a Dimension object with the dimension line passign through p3.
  • The Dimension object takes the Draft linewidth and color set in the command bar.
  • There are multiple ways to create a dimension, depending on the arguments you pass to it:
  1. (p1,p2,p3): creates a standard dimension from p1 to p2.
  2. (object,i1,i2,p3): creates a linked dimension to the given object, measuring the distance between its vertices indexed i1 and i2.
  3. (object,i1,mode,p3): creates a linked dimension to the given object, i1 is the index of the (curved) edge to measure, and mode is either "radius" or "diameter". Returns the newly created object.
 '''makeAngularDimension (center,[angle1,angle2],p3)'''
  • creates an angular Dimension from the given center, with the given list of angles, passing through p3.
  • Returns the newly created object.

Example:

 import FreeCAD,Draft
 p1 = FreeCAD.Vector(0,0,0)
 p2 = FreeCAD.Vector(1,1,0)
 p3 = FreeCAD.Vector(2,0,0)
 Draft.makeDimension(p1,p2,p3)

Links

Tutorial Projecting dimensions on a Drawing Page